;;----------------------------------------------------------------------------------------------*
;; ME10-Makroteil laden (Pfad muss angepasst werden)
;;----------------------------------------------------------------------------------------------*
(oli::sd-execute-annotator-command :cmd "INPUT 'P:/Lisp/AM_Masslinienunterbrechung.mac'")
;;----------------------------------------------------------------------------------------------*

(in-package  :custom)
(use-package :oli)

(sd-defdialog 'am-masslinienunterbrechung
  :dialog-title "Malinienunterbrechung"
  :toolbox-button nil
  :dialog-control :sequential-loop ;; Dialog wird so am Bildschirm nicht angezeigt !!
  :variables
  '((Punkt_1     :value-type :docupntcnp
                 :title "Anfangspkt:"
                 :prompt-text "Anfangspunkt der Malinienunterbrechung anklicken."
    )
    (Punkt_2     :value-type :docupntcnp
                 :title "Endpunkt:"
                 :prompt-text "Endpunkt der Malinienunterbrechung anklicken."
                 :after-input
                 (progn
                   (sd-execute-annotator-command :cmd
                     (format nil "Am_masslinienunterbrechung_macro ~a,~a ~a,~a"
                       (oli::gpntdocu_x Punkt_1)
                       (oli::gpntdocu_y Punkt_1)
                       (oli::gpntdocu_x Punkt_2)
                       (oli::gpntdocu_y Punkt_2)
                     )
                   )
                   (DOCU::DOCU_VP_REDRAW "SolidDesigner Annotation")
                 )
    )
   )
  :ok-action 
  '()
  :cancel-action '(sd-execute-annotator-command :cmd "cancel")
)
             